Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class StrutsPortletErrorContext

    java.lang.Object
      org.apache.portals.bridges.struts.StrutsPortletErrorContext

All Implemented Interfaces:
  Serializable

public class StrutsPortletErrorContext
extends Object
implements Serializable

StrutsPortletErrorContext

Version:
  $Id: StrutsPortletErrorContext.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary
`private Exception` | `error`
`private int` | `errorCode`
`private String` | `errorMessage`

Constructor Summary
`StrutsPortletErrorContext()`

Method Summary
`Exception` | `getError()`
`int` | `getErrorCode()`
`String` | `getErrorMessage()`
`void` | `setError(Exception error)`
`void` | `setErrorCode(int errorCode)`
`void` | `setErrorMessage(String errorMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorCode

    private int errorCode

### errorMessage

    private String errorMessage

### error

    private Exception error

Constructor Detail

### StrutsPortletErrorContext

    public StrutsPortletErrorContext()

Method Detail

### getError

    public Exception getError()

### setError

    public void setError(Exception error)

### getErrorCode

    public int getErrorCode()

### setErrorCode

    public void setErrorCode(int errorCode)

### getErrorMessage

    public String getErrorMessage()

### setErrorMessage

    public void setErrorMessage(String errorMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.